import { ESLintUtils } from '@typescript-eslint/utils';
export const RULE_NAME = 'space-around-pipe';
// const INVALID_PATTERN = /\[(.*)\]/;
const createRule = ESLintUtils.RuleCreator(name => `https://github.com/FDIM/eslint-plugin-angular-template-whitespace/docs/rule/${name}`);
export default createRule({
    name: RULE_NAME,
    meta: {
        type: 'suggestion',
        docs: {
            description: 'Ensures that the whitespace around pipe is added',
            recommended: 'error',
        },
        fixable: 'code',
        schema: [],
        messages: {
            spaceAroundPipe: 'Please surround the pipe with space before and after',
        },
    },
    defaultOptions: [],
    create(context) {
        // const parserServices = getTemplateParserServices(context);
        const sourceCode = context.getSourceCode();
        console.info(sourceCode);
        return {};
    },
});
